package edu.lawrence.invasiveandroid

import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Body
import retrofit2.http.Query

data class User(
    val iduser : Int = 0,
    val username : String,
    val password : String,
    val realname : String,
    val phone : String
)

interface InvasiveApiService {
    @POST("users")
    suspend fun newUser(@Body user : User) : User

    @GET("users")
    suspend fun login(@Query("user") user : String,@Query("password") password : String) : User

    @GET("species")
    suspend fun getSpecies() : List<Species>

    @GET("parks")
    suspend fun getParks() : List<Park>

    @POST("observations")
    suspend fun postObservation(@Body observation: Observation) : String
}